Read a verification
curl --request GET \
--url https://api.lumx.io/customers/{id}/verifications/{verificationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumx.io/customers/{id}/verifications/{verificationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumx.io/customers/{id}/verifications/{verificationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": "c85cb5ef-0574-4450-806d-195944f1e309",
"status": "NOT_STARTED",
"level": "STANDARD",
"statusReason": {
"rejectLabels": [
"screenshot",
"unsatisfactory_photos"
],
"rejectSubLabels": [
"proofOfAddress_listOfDocs",
"badPhoto"
],
"documents": [
{
"type": "PASSPORT",
"status": "TEMPORARY_REJECTION",
"comment": "Screenshots aren't accepted. Please upload a live photo of the document.",
"rejectLabels": [
"screenshot",
"unsatisfactory_photos"
]
}
]
}
}Customers
Read a verification
This endpoint reads a customer’s verification process.
GET
/
customers
/
{id}
/
verifications
/
{verificationId}
Read a verification
Authorizations
Bearer authentication header on the format Bearer <API_KEY>.
Path Parameters
Customer's unique identifier.
Verification's unique identifier.
Response
200 - application/json
Resource successfully retrieved.
Customer's unique identifier.
Customer verification's status.
Available options:
NOT_STARTED, UNDER_VERIFICATION, APPROVED, TEMPORARY_REJECTION, FINAL_REJECTION Example:
"NOT_STARTED"
Customer verification's level.
Available options:
STANDARD Example:
"STANDARD"
Customer verification's status reason.
Show child attributes
Show child attributes
⌘I